package com.oqpo.api.mapper.oper;


import com.oqpo.api.entity.oper.AfflEntity;
import com.oqpo.api.entity.oper.AfflSaleInfoEntity;
import com.oqpo.api.entity.oper.SaleMgrMgntEntity;
import com.oqpo.api.web.dto.request.GridRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SaleMgrMgnMapper {

    List<SaleMgrMgntEntity> selectPopSaleMgrMgnGridList(@Param("sSaleMgrNm") String saleMgrNm , GridRequest gridRequest)throws Exception;
    int selectPopSaleMgrMgnGridCnt(@Param("sSaleMgrNm") String saleMgrNm )throws Exception;

    int selectSaleMgrMgnGridCnt( @Param("fromDt") String fromDt, @Param("toDt") String toDt, @Param("sSaleMgrNm") String sSaleMgrNm, @Param("sStCd") String sStCd)throws Exception;

    List<SaleMgrMgntEntity> selectSaleMgrMgnGridList(@Param("fromDt") String fromDt, @Param("toDt") String toDt, @Param("sSaleMgrNm") String sSaleMgrNm, @Param("sStCd") String sStCd , GridRequest gridRequest)throws Exception;

    String selectSaleMgrIdDupYn(@Param("saleMgrId") String saleMgrId)   throws Exception;

    int insertSaleMgrMgn(@Param("userId") String userId, SaleMgrMgntEntity entity) throws Exception;

    int updateSaleMgrMgn(@Param("userId") String userId, SaleMgrMgntEntity entity) throws Exception;

    SaleMgrMgntEntity selectSaleMgrMgn(@Param("saleMgrId") String saleMgrId)   throws Exception;

    String selectSaleMgrInitPw(@Param("saleMgrId") String saleMgrId)   throws Exception;



}
